#!/bin/bash

# collects all graphs from subdirectories
# run first "make_all_graphs" to generate graphs

ROOT=$(pwd)

for CASE in test* ; do
    cd $ROOT/$CASE/data
    EXPS=$(ls)
    for EXP in $EXPS ; do
	echo $EXP
	cd $ROOT/$CASE/data/$EXP
	for IMG in $(ls *.png *.gif) ; do
#	    echo $IMG ../../graphs/${CASE}_${EXP}_${IMG}
	    cp $IMG $ROOT/graphs/${CASE}_${EXP}_${IMG}
	done
    done
done
